import dbus
import time
import json
import os

def get_state():
    # 连接到 D-Bus 会话总线
    session_bus = dbus.SystemBus()

    # 获取要调用的服务和接口名称
    service_name = "com.nfs.license"
    object_path = "/com/nfs/license/Info"
    interface_name = "com.nfs.license.Info"

    # 创建 D-Bus 代理对象
    proxy = session_bus.get_object(service_name, object_path)

    # 获取接口对象
    interface = dbus.Interface(proxy, interface_name)

    try:
        # 调用 D-Bus 接口的方法，假设该方法没有参数
        result = interface.GetLicenseStatus("nf")
        try:
            data_dict = json.loads(result)
        except json.JSONDecodeError:
            exit()
        state = data_dict.get('state')
    except dbus.exceptions.DBusException as e:
        print("方法调用失败:", e)
    return state

def main():
    while True:
        state = get_state()
        cmd_rm = "rm -rf /etc/profile.d/license.sh"
        cmd1 = "echo 'echo '您的系统为未激活状态，请及时激活'' > '/etc/profile.d/license.sh'"
        cmd2 = "echo 'echo '您的系统授权已过期，请及时激活'' > '/etc/profile.d/license.sh'"
        cmd3 = "echo 'echo '您的系统试用期已过期，请及时激活'' > '/etc/profile.d/license.sh'"
        if state == 0:
            os.system(cmd1)
        elif state == 1:
            os.system(cmd_rm)
        elif state == 2:
            os.system(cmd2)
        elif state == 3:
            os.system(cmd_rm)
        elif state == 4:
            os.system(cmd3)
        time.sleep(86400)

if __name__ == "__main__":
    main()

